# Gimp.Image.is_dirty

    @accepts(Gimp.Image)
    @returns(bool)
    def is_dirty(self):
        # Python wrapper for gimp_image_is_dirty()

Checks if the image has unsaved changes.

This procedure checks the specified image's dirty count to see if it needs to be saved. Note that saving the image does not automatically set the dirty count to 0, you need to call Gimp.Image.clean_all after calling a save procedure to make the image clean.

self

  The image.

Returns